<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$sql = '';

$usuario = '';
$tipo = '';
$id = 0;

if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if($_REQUEST['usuario']){$usuario = $_REQUEST['usuario'];}
if($_REQUEST['tipo']){$tipo = $_REQUEST['tipo'];}
if($_REQUEST['id']){$id = $_REQUEST['id'];}
if($_REQUEST['iddan']){$iddan = $_REQUEST['iddan'];}
$exito_en_consulta = FALSE;

if ($sql != '')
{
	$resultado = mysqli_query($con,$sql);
}

$descripcion = '';
$tipoproy = 'PROYECTO';
if ($tipo == 'modificar'){
	$descripcion = "SE MODIFICO PLANO";
	$tipoproy = 'PLANO MODIFICADO';
}
if ($tipo == 'borrar'){$descripcion = "SE ELIMINO PLANO";
	$tipoproy = 'PLANO ELIMINADO';}
if ($tipo == 'nuevo'){
	$descripcion = "SE CREO NUEVO PLANO";
	$tipoproy = 'PLANO NUEVO';
	$resultado = mysqli_query($con,"SELECT MAX(iddan) as max FROM adm_planos");
	$row = mysqli_fetch_assoc($resultado);
	$iddan = $row['max'];
}

   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'" . $descripcion . "','" . $tipoproy . "','" . $fecha . "','" . $usuario . "','PLANO')";
   $resultado = mysqli_query($con,$sql);

mysqli_close($con);


$res=$iddan;

 echo $res;

?>